#
# spec file for package perl-Devel-CheckLib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-CheckLib
Version:        1.11
Release:        lp150.1.3
%define cpan_name Devel-CheckLib
Summary:        Check That a Library Is Available
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-CheckLib/
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MATTN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::CaptureOutput) >= 1.0801
BuildRequires:  perl(Mock::Config) >= 0.02
%{perl_requires}

%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO VMS-notes

%changelog
* Mon Oct 16 2017 coolo@suse.com
- updated to 1.11
  see /usr/share/doc/packages/perl-Devel-CheckLib/CHANGES
  1.11    2017-05-23      Prevent concatenation warnings when LD_RUN_PATH is
    undefined.
  1.10    2017-04-08      Use Mock::Config.
  1.09    2017-04-08      Remove link options from @ldflags.
* Sun Mar 19 2017 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Devel-CheckLib/CHANGES
  1.09    2017-03-18      Add $PATH for the libs on Windows.
  1.08    2017-03-18      Add $LD_RUN_PATH for the libs.
* Mon Apr 11 2016 coolo@suse.com
- updated to 1.07
  see /usr/share/doc/packages/perl-Devel-CheckLib/CHANGES
  1.07    2016-04-09      Add analyze_binary feature.
* Sun Feb 21 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Devel-CheckLib/CHANGES
* Sun Sep 20 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Devel-CheckLib/CHANGES
  1.05	2015-09-16	Fix handling $PERL_MM_OPT.
  1.04	2015-09-16	Handle $PERL_MM_OPT.
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.03
  * Fix possible crash bug on windows.
    Remove .exe when it run on cygwin.
* Sat Mar 22 2014 coolo@suse.com
- regenerate with cpan2spec
* Fri Mar 21 2014 mlin@suse.com
- update to 1.01
  * Deprecate use-devel-checklib script.
  * Allow -R rpaths as libpaths used with solaris cc (see RT #81330)
  * Merge ldflags & perllibs.
  * Fixed test.
  * Pass linker options to MSVC.
  * Clean up object files. Also MSVC generates extra files, clean them up.
  * Better error message.
  * Add support for gcc that have version number in the command name.
    Fix about that the command path include space character.
* Sat Jan 22 2011 coolo@novell.com
- update to 0.92
  * Patch included, thanks to CHM and SISYPHUS (see RT #63742)
  * Fix deprecated parenthesis. use "(qw())".
  * Add include header files into dependencies files.
  (see RT #61297)
  * Add support for checking if a function exists
  in a library and it returns the right value
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 23 2010 pascal.bleser@opensuse.org
- initial package (0.6)
